package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人信息对象 tgjj_grxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGrxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 个人账号 */
    @Excel(name = "个人账号")
    private String GRZH;

    /** 姓名 */
    @Excel(name = "姓名")
    private String XINGMING;

    /** 姓名全拼 */
    @Excel(name = "姓名全拼")
    private String XMQP;

    /** 性别 */
    @Excel(name = "性别")
    private String XINGBIE;

    /** 固定电话号码 */
    @Excel(name = "固定电话号码")
    private String GDDHHM;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String SJHM;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String ZJLX;

    /** 证件号码 */
    @Excel(name = "证件号码")
    private String ZJHM;

    /** 出生年月 */
    @Excel(name = "出生年月")
    private String CSNY;

    /** 婚姻状况 */
    @Excel(name = "婚姻状况")
    private String HYZK;

    /** 职业 */
    @Excel(name = "职业")
    private String ZHIYE;

    /** 职称 */
    @Excel(name = "职称")
    private String ZHICHEN;

    /** 职务 */
    @Excel(name = "职务")
    private String ZHIWU;

    /** 学历 */
    @Excel(name = "学历")
    private String XUELI;

    /** 邮政编码 */
    @Excel(name = "邮政编码")
    private String YZBM;

    /** 家庭住址 */
    @Excel(name = "家庭住址")
    private String JTZZ;

    /** 家庭月收入 */
    @Excel(name = "家庭月收入")
    private BigDecimal JTYSR;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型（LIST1|插入/2|更新/3|删除/） */
    @Excel(name = "处理类型", readConverterExp = "L=IST1|插入/2|更新/3|删除/")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setGRZH(String GRZH)
    {
        this.GRZH = GRZH;
    }

    public String getGRZH()
    {
        return GRZH;
    }
    public void setXINGMING(String XINGMING)
    {
        this.XINGMING = XINGMING;
    }

    public String getXINGMING()
    {
        return XINGMING;
    }
    public void setXMQP(String XMQP)
    {
        this.XMQP = XMQP;
    }

    public String getXMQP()
    {
        return XMQP;
    }
    public void setXINGBIE(String XINGBIE)
    {
        this.XINGBIE = XINGBIE;
    }

    public String getXINGBIE()
    {
        return XINGBIE;
    }
    public void setGDDHHM(String GDDHHM)
    {
        this.GDDHHM = GDDHHM;
    }

    public String getGDDHHM()
    {
        return GDDHHM;
    }
    public void setSJHM(String SJHM)
    {
        this.SJHM = SJHM;
    }

    public String getSJHM()
    {
        return SJHM;
    }
    public void setZJLX(String ZJLX)
    {
        this.ZJLX = ZJLX;
    }

    public String getZJLX()
    {
        return ZJLX;
    }
    public void setZJHM(String ZJHM)
    {
        this.ZJHM = ZJHM;
    }

    public String getZJHM()
    {
        return ZJHM;
    }
    public void setCSNY(String CSNY)
    {
        this.CSNY = CSNY;
    }

    public String getCSNY()
    {
        return CSNY;
    }
    public void setHYZK(String HYZK)
    {
        this.HYZK = HYZK;
    }

    public String getHYZK()
    {
        return HYZK;
    }
    public void setZHIYE(String ZHIYE)
    {
        this.ZHIYE = ZHIYE;
    }

    public String getZHIYE()
    {
        return ZHIYE;
    }
    public void setZHICHEN(String ZHICHEN)
    {
        this.ZHICHEN = ZHICHEN;
    }

    public String getZHICHEN()
    {
        return ZHICHEN;
    }
    public void setZHIWU(String ZHIWU)
    {
        this.ZHIWU = ZHIWU;
    }

    public String getZHIWU()
    {
        return ZHIWU;
    }
    public void setXUELI(String XUELI)
    {
        this.XUELI = XUELI;
    }

    public String getXUELI()
    {
        return XUELI;
    }
    public void setYZBM(String YZBM)
    {
        this.YZBM = YZBM;
    }

    public String getYZBM()
    {
        return YZBM;
    }
    public void setJTZZ(String JTZZ)
    {
        this.JTZZ = JTZZ;
    }

    public String getJTZZ()
    {
        return JTZZ;
    }
    public void setJTYSR(BigDecimal JTYSR)
    {
        this.JTYSR = JTYSR;
    }

    public BigDecimal getJTYSR()
    {
        return JTYSR;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("GRZH", getGRZH())
            .append("XINGMING", getXINGMING())
            .append("XMQP", getXMQP())
            .append("XINGBIE", getXINGBIE())
            .append("GDDHHM", getGDDHHM())
            .append("SJHM", getSJHM())
            .append("ZJLX", getZJLX())
            .append("ZJHM", getZJHM())
            .append("CSNY", getCSNY())
            .append("HYZK", getHYZK())
            .append("ZHIYE", getZHIYE())
            .append("ZHICHEN", getZHICHEN())
            .append("ZHIWU", getZHIWU())
            .append("XUELI", getXUELI())
            .append("YZBM", getYZBM())
            .append("JTZZ", getJTZZ())
            .append("JTYSR", getJTYSR())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
